# Generated by Django 5.0.1 on 2024-01-28 22:27

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("artd_partner", "0001_initial"),
        ("artd_product", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="StockLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Created at",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True, help_text="Updated at", verbose_name="Updated at"
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True, help_text="Status", verbose_name="Status"
                    ),
                ),
                (
                    "stock",
                    models.IntegerField(
                        default=0, help_text="Stock", verbose_name="Stock"
                    ),
                ),
                (
                    "stock_min",
                    models.IntegerField(
                        default=0, help_text="Stock min", verbose_name="Stock min"
                    ),
                ),
                (
                    "stock_max",
                    models.IntegerField(
                        default=0, help_text="Stock max", verbose_name="Stock max"
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        help_text="Partner",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                    ),
                ),
                (
                    "product",
                    models.ForeignKey(
                        help_text="Product",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_product.product",
                    ),
                ),
            ],
            options={
                "verbose_name": "Stock log",
                "verbose_name_plural": "Stock logs",
            },
        ),
        migrations.CreateModel(
            name="Stock",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True,
                        help_text="Created at",
                        verbose_name="Created at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True, help_text="Updated at", verbose_name="Updated at"
                    ),
                ),
                (
                    "status",
                    models.BooleanField(
                        default=True, help_text="Status", verbose_name="Status"
                    ),
                ),
                (
                    "stock",
                    models.IntegerField(
                        default=0, help_text="Stock", verbose_name="Stock"
                    ),
                ),
                (
                    "stock_min",
                    models.IntegerField(
                        default=0, help_text="Stock min", verbose_name="Stock min"
                    ),
                ),
                (
                    "stock_max",
                    models.IntegerField(
                        default=0, help_text="Stock max", verbose_name="Stock max"
                    ),
                ),
                (
                    "partner",
                    models.ForeignKey(
                        help_text="Partner",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_partner.partner",
                    ),
                ),
                (
                    "product",
                    models.ForeignKey(
                        help_text="Product",
                        on_delete=django.db.models.deletion.CASCADE,
                        to="artd_product.product",
                    ),
                ),
            ],
            options={
                "verbose_name": "Stock",
                "verbose_name_plural": "Stocks",
                "ordering": ("-created_at",),
                "unique_together": {("partner", "product")},
            },
        ),
    ]
